<%-- $Id: manage.jsp 7937 2021-04-30 10:57:18Z nicklas $
	------------------------------------------------------------------
	Copyright (C) 2006 Jari Häkkinen, Nicklas Nordborg, Martin Svensson
	Copyright (C) 2007 Johan Enell
	Copyright (C) 2006 Jari Häkkinen

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
	------------------------------------------------------------------

	@author Nicklas
	@version 2.0
--%>
<%@ page pageEncoding="UTF-8" session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.Permission"
	import="net.sf.basedb.core.ItemContext"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.util.Enumeration"
	import="net.sf.basedb.clients.web.util.HTML"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(pageContext, true);
final String ID = sc.getId();
final Item itemType = Item.valueOf(request.getParameter("item_type"));
final String subContext = request.getParameter("subcontext");
final ItemContext current = sc.getCurrentContext(itemType, subContext);
final Enumeration<Integer, String> contextNames = sc.getContextNames(itemType, subContext);
int numListed = 0;
%>
<base:page type="popup" title="Manage presets">
<base:head scripts="table.js,~manage.js" styles="table.css,toolbar.css" />
<base:body>
	<h1>Manage presets for <%=itemType%> <%="".equals(subContext) ? "" : "(" + subContext + ")" %>
			<base:help helpid="contexts.manage" /></h1>
	
	<div class="content">
	<%
	if (contextNames.size() == 0)
	{
		%>
		<table class="fullcc bg-filled-50 bottomborder"><tr><td>
			<b>You have not saved any presets for 
			<%=itemType%> <%="".equals(subContext) ? "" : "(" + subContext + ")" %>
			</b>
		</td></tr></table>
		<%
	}
	else
	{
		%>
			<tbl:table 
				id="contexts"
				action="index.jsp"
				subclass="fulltable"
				stickyheaders="<%=null%>"
				>
				<tbl:hidden
					name="item_type"
					value="<%=itemType.name()%>"
				/>
				<tbl:hidden
					name="subcontext"
					value="<%=subContext%>"
				/>
				<tbl:columndef
					id="name"
					title="Name"
				/>
				<tbl:columndef
					id="actions"
					title="&nbsp;"
				/>
				<tbl:toolbar
					visible="true"
					subclass="bottomborder bg-filled-50"
					style="height: 1.75em;"
					>
					<tbl:button 
						id="btnDeleteSelected"
						image="delete.png" 
						title="Delete&hellip;" 
						tooltip="Delete the selected items" 
					/>
				</tbl:toolbar>
				<tbl:data style="top: 1.75em;">
					<tbl:headers>
						<tbl:headerrow>
							<tbl:header 
								clazz="index"
								/>
							<tbl:header 
								clazz="check"
								visible="true"
								><base:icon 
									subclass="link table-check"
									image="check_uncheck.png" 
									tooltip="Toggle all (use CTRL, ALT or SHIFT to check/uncheck)" 
									data-form="contexts"
									style="align: left;"
								/>
							</tbl:header>
							<tbl:columnheaders />
						</tbl:headerrow>
					</tbl:headers>
					<tbl:rows>
					<%
					for (int i = 0; i < contextNames.size(); ++i)
					{
						String name = contextNames.getValue(i);
						int id = contextNames.getKey(i);
						if (!ItemContext.DEFAULT_NAME.equals(name))
						{
							numListed++;
							%>
							<tbl:row>
								<tbl:header clazz="index"><%=numListed%></tbl:header>
								<tbl:header 
									clazz="check"
									><input 
										type="checkbox" 
										name="<%=id%>" 
										value="<%=id%>" 
										title="<%=HTML.encodeTags(name)%>" 
									></tbl:header>
								<tbl:cell column="name"><%=HTML.encodeTags(name)%></tbl:cell>
								<tbl:cell column="actions">
									<span class="link auto-init" data-auto-init="load-context" data-context-id="<%=id%>"
										title="Load this preset">Load</span>
								</tbl:cell>
							</tbl:row>
						<%
						}
					}
					if (numListed == 0)
					{
						%>
						<tbl:panel subclass="bg-filled-50">
							<div class="messagecontainer note">No presets were found</div>
						</tbl:panel>
						<%
					}
					%>
					</tbl:rows>
				</tbl:data>
			</tbl:table>
			<br>
			<%
		}
		%>
		</div>
	<base:buttongroup subclass="dialogbuttons">
		<base:button id="close" title="Close" />
	</base:buttongroup>

</base:body>
</base:page>
