/* $Id $
	------------------------------------------------------------------
	Copyright (C) 2012 Nicklas Nordborg

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
	------------------------------------------------------------------

	@author Nicklas
*/
'use strict';

var Failures = function()
{
	var failures = {};

	failures.initFailure = function(element, autoInit)
	{
		if (autoInit != 'failure') return;
		Events.addEventHandler(element, 'click', failures.failureOnClick);
	}

	failures.failureOnClick = function(event)
	{
		var target = event.currentTarget;
		var itemType = Data.get(target, 'item-type');
		if (itemType && (event.altKey || event.ctrlKey || event.shiftKey))
		{
			var itemId = Data.get(target, 'item-id');
			Items.editItem(itemType, itemId);
		}
		else
		{
			var nodeId = Data.get(target, 'node-id');
			window.parent.frames['tree'].Tree.selectNode(nodeId);
		}
	}
	
	return failures;
}();

Doc.addElementInitializer(Failures.initFailure);


