<%-- $Id: footnote.jsp 6610 2014-11-20 11:48:06Z nicklas $
	------------------------------------------------------------------
	Copyright (C) 2005 Nicklas Nordborg
	Copyright (C) 2006 Jari Häkkinen, Nicklas Nordborg
	Copyright (C) 2007 Johan Enell

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
	------------------------------------------------------------------

	This page displays a short notice at the bottom of the
	screen.

	@author Nicklas
	@version 2.0
--%>
<%@ page pageEncoding="UTF-8" session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.Message"
	import="net.sf.basedb.core.ItemQuery"
	import="net.sf.basedb.core.ItemResultList"
	import="net.sf.basedb.core.Type"
	import="net.sf.basedb.core.query.Restrictions"
	import="net.sf.basedb.core.query.Expressions"
	import="net.sf.basedb.core.query.Hql"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
SessionControl sc = Base.getSessionControl(pageContext, false);
String ID = "";
String serverAdminName = null;
String serverAdminEmail = null;
DbControl dc = null;
if (sc != null)
{
	ID = sc.getId();
	serverAdminName = Values.getStringOrNull(sc.getClientDefaultSetting("server.admin.name"));
	serverAdminEmail = Values.getStringOrNull(sc.getClientDefaultSetting("server.admin.email"));
}
try
{
	%>
	<base:page type="iframe" title="">
	<base:head scripts="~footnote.js" styles="login.css" />
	<base:body>
	<div class="footer bg-filled-100">
	<table style="width: 100%; height: 100%;"><tr><td>

		<div class="message" id="broadcast" style="display: none;">
		<base:icon id="broadcast" image="warning.png" tooltip="Read more&hellip;"
			style="font-weight: bold;">
			<span id="broadcast-title"></span>
		</base:icon>
		</div>
		
		<div class="credit" id="credit">
			The development of BASE is currently supported by Lund
			University through SCIBLU. Previous patrons of the BASE project
			were the Knut and Alice Wallenberg Foundation and the Swedish
			Cancer Society.
			<% 
			if (serverAdminName != null) 
			{
				%>
				This server administered by: 
				<%
				if (serverAdminEmail != null)
				{
					%>
					<a href="mailto:<%=serverAdminEmail%>"><%=serverAdminName%></a>
					<%
				}
				else
				{
					%>
					<%=serverAdminName%>
					<%
				}
			}
			%>
		</div>

		<base:icon id="singleMessage" style="display: none;" image="message.png" tooltip="Read the message">
			<span id="message-name"></span> (From: <span id="message-from"></span>)
		</base:icon>
		<base:icon id="multiMessages" style="display: none;" image="message.png" tooltip="Read the messages">
			<b>You have <span id="num-messages"></span> new messages</b>
		</base:icon>
	</td></tr></table>
	</div>
	</base:body>
	</base:page>
	<%
}
finally
{
	if (dc != null) dc.close();
}
%>
